Forum Debianizzati

Condividi contenuti
Aggiornato: 57 min 4 sec fa

Re: Gnome non si avvia più

Dom, 06/08/2017 - 17:01
Mattia Campagna ha scritto:Grazie Aki, adesso funziona alla perfezione. Grazie per avermi risolto il problema e per aver spiegato ogni comando, tutte le tue risposte mi aiutano sempre a capire!
Bene, sono contento di esserti stato d'aiuto.

Mattia Campagna ha scritto:Ho provato a riprodurre i miei movimenti su synaptic, effettivamente ho disinstallato anche evolution in quanto uso thunderbird, prima della rimozione mi dice che è necessario rimuovere "evolution-plugins" e "gnome". Possibile che non si possa rimuovere evolution senza rimuovere anche gnome?
Sarebbe bene aprire una discussione specifica.
Categorie: Forum Debianizzati

Re: Gnome non si avvia più

Dom, 06/08/2017 - 16:47
Grazie Aki, adesso funziona alla perfezione. Grazie per avermi risolto il problema e per aver spiegato ogni comando, tutte le tue risposte mi aiutano sempre a capire!

Ho provato a riprodurre i miei movimenti su synaptic, effettivamente ho disinstallato anche evolution in quanto uso thunderbird, prima della rimozione mi dice che è necessario rimuovere "evolution-plugins" e "gnome". Possibile che non si possa rimuovere evolution senza rimuovere anche gnome?
Categorie: Forum Debianizzati

Re: Applicazioni 32 bit su Debian a 64 bit

Dom, 06/08/2017 - 16:44
stephanie ha scritto:Direi quindi che manchino:
libgdk_pixbuf-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found
libgdk-x11-2.0.so.0 => not found
libpango-1.0.so.0 => not found
libatk-1.0.so.0 => not found

Il problema è che in gestione pacchetti questi pacchetti non li trovo, penso siano inclusi in qualche altro pacchetto, ma non so quale.

Puoi cercare con https://www.debian.org/distrib/packages :
https://packages.debian.org/stretch/libgdk-pixbuf2.0-0
https://packages.debian.org/stretch/libgtk2.0-0-dbg
https://packages.debian.org/stretch/libpango-1.0-0
https://packages.debian.org/stretch/libatk1.0-0

Edit: ho cercato per la release stretch, ma i pacchetti dovrebbero essere gli stessi per la release testing.
Categorie: Forum Debianizzati

Re: Consigli driver per DELL XPS 9560

Dom, 06/08/2017 - 16:35
Si
Categorie: Forum Debianizzati

Re: Gnome non si avvia più

Dom, 06/08/2017 - 16:34
Mattia Campagna ha scritto:Molto bene, come mai disinstallando dei giochi mi ha selezionato automaticamente anche i pacchetti di gnome?
Dipendenze ? Bisognerebbe verificare esattamente cosa hai fatto; in ogni caso, il gestore di pacchetti (synaptic, in questo caso mi sembra di capire) di solito dettaglia tutte le operazioni e chiede la conferma dell'utente prima di procedere.

Mattia Campagna ha scritto:Posso ripristinare senza fare ulteriori danni?
Puoi impartire il comando come utente root:
apt-get install task-gnome-desktop
Categorie: Forum Debianizzati

Re: Applicazioni 32 bit su Debian a 64 bit

Dom, 06/08/2017 - 16:28
Grazie mille ancora per l'aiuto, nel frattempo installando wine a 32 bit le librerie installate hanno permesso di fare funzionare uno degli eseguibili. Mi rimane il problema con gli altri due, in particolare per uno dando il comando ldd ottengo:

   linux-gate.so.1 (0xf77f8000)
   libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf77b4000)
   libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf7666000)
   libgdk_pixbuf-2.0.so.0 => not found
   libgtk-x11-2.0.so.0 => not found
   libgdk-x11-2.0.so.0 => not found
   libgobject-2.0.so.0 => /usr/lib/i386-linux-gnu/libgobject-2.0.so.0 (0xf7608000)
   libglib-2.0.so.0 => /lib/i386-linux-gnu/libglib-2.0.so.0 (0xf74db000)
   libgthread-2.0.so.0 => /usr/lib/i386-linux-gnu/libgthread-2.0.so.0 (0xf74d8000)
   libgmodule-2.0.so.0 => /usr/lib/i386-linux-gnu/libgmodule-2.0.so.0 (0xf74d1000)
   libpango-1.0.so.0 => not found
   libcairo.so.2 => /usr/lib/i386-linux-gnu/libcairo.so.2 (0xf7390000)
   libatk-1.0.so.0 => not found
   libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf738b000)
   libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0xf7370000)
   libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf71b9000)
   /lib/ld-linux.so.2 (0x5661d000)
   libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xf718d000)
   libffi.so.6 => /usr/lib/i386-linux-gnu/libffi.so.6 (0xf7184000)
   libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xf710b000)
   libpixman-1.so.0 => /usr/lib/i386-linux-gnu/libpixman-1.so.0 (0xf7059000)
   libfontconfig.so.1 => /usr/lib/i386-linux-gnu/libfontconfig.so.1 (0xf700f000)
   libfreetype.so.6 => /usr/lib/i386-linux-gnu/libfreetype.so.6 (0xf6f54000)
   libpng16.so.16 => /usr/lib/i386-linux-gnu/libpng16.so.16 (0xf6f1a000)
   libxcb-shm.so.0 => /usr/lib/i386-linux-gnu/libxcb-shm.so.0 (0xf6f16000)
   libxcb-render.so.0 => /usr/lib/i386-linux-gnu/libxcb-render.so.0 (0xf6f07000)
   libXrender.so.1 => /usr/lib/i386-linux-gnu/libXrender.so.1 (0xf6efb000)
   libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf6ee6000)
   librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xf6edd000)
   libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf6e88000)
   libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xf6e83000)
   libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xf6e7a000)
   libexpat.so.1 => /lib/i386-linux-gnu/libexpat.so.1 (0xf6e4f000)
   libbsd.so.0 => /lib/i386-linux-gnu/libbsd.so.0 (0xf6e34000)
s


Direi quindi che manchino:

libgdk_pixbuf-2.0.so.0 => not found
libgtk-x11-2.0.so.0 => not found
libgdk-x11-2.0.so.0 => not found
libpango-1.0.so.0 => not found
libatk-1.0.so.0 => not found


Il problema è che in gestione pacchetti questi pacchetti non li trovo, penso siano inclusi in qualche altro pacchetto, ma non so quale.

In particolare le libgdk-pixbuf2.0-0, libpango-1.0-0 e libatk1.0-0 sono già installate, le libgtk-x11 e libgdk-x11 non le trovo in gestione pacchetti (né installate né disponibili per l'installazione). Per le librerie X11 il pacchetto libx11-6:i386 per 32 bit è installato (ed anche il pacchetto libx11-xcb1:i386).

Ancora grazie e buona domenica,

Stéphanie
Categorie: Forum Debianizzati

Re: Gnome non si avvia più

Dom, 06/08/2017 - 16:27
Molto bene, come mai disinstallando dei giochi mi ha selezionato automaticamente anche i pacchetti di gnome?
Posso ripristinare senza fare ulteriori danni?
Categorie: Forum Debianizzati

Re: Gnome non si avvia più

Dom, 06/08/2017 - 16:24
Si, hai rimosso tutto gnome. Però puoi reinstallarlo.
Categorie: Forum Debianizzati

Re: Gnome non si avvia più

Dom, 06/08/2017 - 16:15
Ecco qui:

http://paste.debian.net/980095

Possibile che sia qui il problema:ì?
Start-Date: 2017-08-06  11:14:19
Commandline: /usr/sbin/synaptic
Requested-By: mattia (1000)
Install: policykit-1-gnome:amd64 (0.105-6, automatic)
Remove: libfolks-eds25:amd64 (0.11.3-2), gnome-calendar:amd64 (3.22.4-2), gnome-contacts:amd64 (3.22.1-1+b2), gnome-session:amd64 (3.22.3-1), libedataserverui-1.2-1:amd64 (3.22.7-1), chrome-gnome-shell:amd64 (8-4), evolution-data-server:amd64 (3.22.7-1), gdm3:amd64 (3.22.3-3), libebackend-1.2-10:amd64 (3.22.7-1), task-gnome-desktop:amd64 (3.39), libebook-1.2-16:amd64 (3.22.7-1), libreoffice-evolution:amd64 (1:5.2.7-1), gnome-core:amd64 (1:3.22+3), gnome:amd64 (1:3.22+3), gnome-shell-extensions:amd64 (3.22.2-1), libebook-contacts-1.2-2:amd64 (3.22.7-1), libedata-book-1.2-25:amd64 (3.22.7-1), gnome-shell:amd64 (3.22.3-3), libedata-cal-1.2-28:amd64 (3.22.7-1), libecal-1.2-19:amd64 (3.22.7-1), evolution-plugins:amd64 (3.22.6-1), libedataserver-1.2-22:amd64 (3.22.7-1), libevolution:amd64 (3.22.6-1), evolution:amd64 (3.22.6-1)
Purge: evolution-data-server-common:amd64 (3.22.7-1), evolution-common:amd64 (3.22.6-1)
End-Date: 2017-08-06  11:14:23


Leggo "gnome-core".
Categorie: Forum Debianizzati

Re: Gnome non si avvia più

Dom, 06/08/2017 - 14:59
Hai inviato il log solo del comando:
base64 /var/log/apt/history.log.1.gz  | pastebinit -b paste.debian.net

Tale log contiene informazioni su operazioni effettuate il 24 luglio u.s., quindi presumibilmente non le ultime attività.

Non hai inviato il riferimento al log generato con il comando che dovrebbe contenere dati più aggiornati:
pastebinit -b paste.debian.net /var/log/apt/history.log
Categorie: Forum Debianizzati

Re: Gnome non si avvia più

Dom, 06/08/2017 - 14:24
C’era roba tipo “five-or-more” possibile che siano parte di gnome?

Questo è l’output corretto?
http://paste.debian.net/980087
Categorie: Forum Debianizzati

Re: Gnome non si avvia più

Dom, 06/08/2017 - 13:57
Mattia Campagna ha scritto:a) ho disinstallato qualche gioco preinstallato e navigato con chrome
Strano, non mi risulta che l'installazione base di Debian abbia giochi pre-installati: esattamente cosa hai disinstallato ?
In ogni caso, prova ad impartire i seguenti comandi come utente root che invieranno l'elenco delle ultime operazioni effettuate dal gestore di pacchetti:
apt-get install wget pastebinit
base64 /var/log/apt/history.log.1.gz  | pastebinit -b paste.debian.net
pastebinit -b paste.debian.net history.log

Quindi, invia in risposta in un messaggio del forum i due link prodotti dai comandi pastebinit

Mattia Campagna ha scritto:d) sono loggato e vedo tutte le cartelle ma non saprei come fare per creare un log solo da terminale
Lo script per la formulazione dei quesiti tecnici può essere scaricato ed utilizzato direttamente da terminale, senza interfaccia grafica; nel forum, va inviato solo il link alle pagine dove sono inviati i dati. Alle brutte, comunque, puoi provare ad inviare il log di sistema usando il seguente comando impartito come utente root:
journalctl | pastebinit -b paste.debian.net

Anche in tal caso, va fornito il link.
Categorie: Forum Debianizzati

Re: Gnome non si avvia più

Dom, 06/08/2017 - 13:17
a) ho disinstallato qualche gioco preinstallato e navigato con chrome
b) gli ultimi pacchitti installati sono laptop-mode-tools e lm-sensors
c) ho aggiornato oggi con update e upgrade
d) sono loggato e vedo tutte le cartelle ma non saprei come fare per creare un log solo da terminale
Categorie: Forum Debianizzati

Re: Consigli driver per DELL XPS 9560

Dom, 06/08/2017 - 13:02
Grazie a te: la discussione si può considerate completata ?
Categorie: Forum Debianizzati

Re: Gnome non si avvia più

Dom, 06/08/2017 - 13:01
Sarebbe utile che fornissi maggiori informazioni:
a) che attività di manutenzione hai effettuato sul computer prima di questo malfunzionamento ?
b) quali pacchetti di programmi hai installato / disinstallato prima di questo malfunzionamento ?
c) hai effettuato aggiornamenti automatici o manuali del sistema operativo ?
d) puoi fornire un log relativo all'attuale stato dell'installazione ?
Categorie: Forum Debianizzati

Re: Applicazioni 32 bit su Debian a 64 bit

Dom, 06/08/2017 - 12:58
stephanie ha scritto:se (posizionandomi nella cartella in cui si trova l'eseguibile) do' il comando ./nomeeseguibile mi da "File o directory non esistente" per un eseguibile e nessun errore ma non si avvia nulla per un altro eseguibile,[..] Dov'è che sbaglio?
Il programma non è nella posizione da cui cerchi di avviarlo oppure il nome del programma che hai usato è errato.

stephanie ha scritto:Come posso vedere le librerie mancanti?
Con il seguente comando, puoi verificare l'elenco delle librerie dinamiche richieste dal programma (da impartire nella directory dove si trova il programma):
ldd nomedelprogrammaeseguibile

Per ciascuna, dovresti verificare se è installata o meno la versione per i386.
Categorie: Forum Debianizzati

Gnome non si avvia più

Dom, 06/08/2017 - 12:20
Dopo un riavvio gnome non si avvia più, mi si presenta la login da terminale.
Facendo un ricerca ho visto che qualcuno ha provato senza successo a lanciare comandi come "startx". Com'è possibile questa cosa?
Categorie: Forum Debianizzati

Re: Applicazioni 32 bit su Debian a 64 bit

Dom, 06/08/2017 - 11:14
Grazie per la risposta, in effetti avevo provato ad avviare da terminale, ma se (posizionandomi nella cartella in cui si trova l'eseguibile) do' il comando ./nomeeseguibile mi da "File o directory non esistente" per un eseguibile e nessun errore ma non si avvia nulla per un altro eseguibile, se scrivo solo nomeeseguibile da solo mi da' "comando non trovato", se provo con sh nomeeseguibile mi da' "Unterminated quoted string" in uno e "Syntax error: ")" unexpected" in un altro.

Dov'è che sbaglio? Come posso vedere le librerie mancanti?

Ancora grazie e buona domenica a tutti,

Stéphanie
Categorie: Forum Debianizzati

Re: Consigli driver per DELL XPS 9560

Dom, 06/08/2017 - 10:49
Grazie Aki, adesso è tutto molto più chiaro.
Categorie: Forum Debianizzati

Re: Applicazioni 32 bit su Debian a 64 bit

Sab, 05/08/2017 - 22:49
Una volta istallata l'architettura i386, devi installare le librerie in formato binario per architettura i386 richieste dal programma. Se il programma non è pacchettizzato, devi verificare dal fornitore quali sono le librerie richieste oppure analizzare l'eseguibile per verificare le librerie richieste oppure eseguire da riga di comando il programma: lo stesso si bloccherà segnalando di volta in volta la libreria mancante che potrai conseguentemente installare.
Categorie: Forum Debianizzati